﻿using System;
using System.IO;
using Commander.API;

namespace Commander.Commands.BuiltIn
{
	public class CdCommand : ICommand
	{
		public string Execute(ICommandAccess access, string[] arguments)
		{
			if (arguments.Length < 1)
			{
				return access.WorkingDirectory;
			}

			string folder = arguments[0];

			// Special case handing for ~ (user home)
			if (folder == "~")
			{
				folder = Environment.GetFolderPath(Environment.SpecialFolder.UserProfile);
			}

			string dir = Path.GetFullPath(Path.Combine(access.WorkingDirectory, folder));
			if (!Directory.Exists(dir))
			{
				return String.Format("Bad path/folder: '{0}' does not exist", dir);
			}

			access.SetDirectory(dir);
			return " ";
		}

		public string Identifier
		{
			get { return "cd"; }
		}
	}
}
