﻿using Commander.API;

namespace Commander.Commands.BuiltIn
{
	public class ClearScreenCommand : ICommand
	{
		private readonly string _identifier;

		public ClearScreenCommand()
			: this("cls")
		{ }

		public ClearScreenCommand(string identifier)
		{
			_identifier = identifier;
		}

		public string Execute(ICommandAccess access, string[] arguments)
		{
			access.ClearOutput();
			return "";
		}

		public string Identifier
		{
			get { return _identifier; }
		}
	}
}
