﻿using System;
using System.Diagnostics;
using System.IO;
using Commander.API;

namespace Commander.Commands.BuiltIn
{
	public class OpenCommand : ICommand
	{
		public string Execute(ICommandAccess access, string[] arguments)
		{
			if (arguments.Length < 1)
			{
				return Help();
			}

			string cmd = arguments[0];
			if (!Path.IsPathRooted(cmd))
			{
				cmd = Path.Combine(access.WorkingDirectory, cmd);
			}

			string retVal = "";
			try
			{
				retVal += "Opening " + cmd;
				Process.Start(cmd);
			}
			catch (Exception e)
			{
				retVal = e.Message;
			}

			return retVal;
		}

		private string Help()
		{
			return "Usage: " + Identifier + " path\\to\\application.exe";
		}

		public string Identifier
		{
			get { return "open"; }
		}
	}
}
