﻿using System;
using System.Drawing;
using System.Drawing.Drawing2D;
using System.Drawing.Text;
using System.Windows.Forms;
using Commander.Properties;
using Microsoft.WindowsAPICodePack.Shell;

namespace Commander.Dialogs
{
	public partial class AboutAppDialog : GlassForm
	{
		private static string CommanderBeta;
		private readonly string prompt;

		public AboutAppDialog()
		{
			CommanderBeta = "Commander BETA 7";

			SetStyle(ControlStyles.AllPaintingInWmPaint, true);
			InitializeComponent();

			prompt = String.Format("{0}@{1}:~$ ", Environment.UserName, Environment.MachineName);
		}


		protected override void OnPaint(PaintEventArgs e)
		{
			base.OnPaint(e);

			Graphics g = e.Graphics;
			g.SmoothingMode = SmoothingMode.AntiAlias;
			g.TextRenderingHint = TextRenderingHint.AntiAlias;

			using (Image img = Resources.Connection_Manager)
			{
				g.DrawImage(img, 8, 8, 48, 48);
			}

			Point basePoint = new Point(48 + 16, 10);
			g.DrawString(CommanderBeta, new Font("Verdana", 21), Brushes.Black, basePoint.X, basePoint.Y);
			basePoint.Offset(-1, -1);
			g.DrawString(CommanderBeta, new Font("Verdana", 21), Brushes.White, basePoint.X, basePoint.Y);

			Font font = new Font("Verdana", 10);
			basePoint.Offset(20, 36);
			g.DrawString(" - \"For a better Windows experience\" ", new Font(font, FontStyle.Italic), Brushes.Black, basePoint.X, basePoint.Y);
			basePoint.Offset(-1, -1);
			g.DrawString(" - \"For a better Windows experience\" ", new Font(font, FontStyle.Italic), Brushes.White, basePoint.X, basePoint.Y);

			font = new Font("Consolas", 11);
			basePoint.Offset(-64, 50);
			g.DrawString(prompt + "commander -info", font, Brushes.Black, basePoint);
			basePoint.Offset(-1, -1);
			g.DrawString(prompt + "commander -info", font, Brushes.White, basePoint);

			basePoint.Offset(0, 24);
			g.DrawString("    Developed by: ", font, Brushes.Black, basePoint);
			basePoint.Offset(-1, -1);
			g.DrawString("    Developed by: ", font, Brushes.White, basePoint);
			
			basePoint.Offset(0, 24);
			g.DrawString("        Marcus Grenängen (marcus@grenangen.se)", font, Brushes.Black, basePoint);
			basePoint.Offset(-1, -1);
			g.DrawString("        Marcus Grenängen (marcus@grenangen.se)", font, Brushes.White, basePoint);
		}
	}
}
