﻿using System;
using System.Windows.Forms;
using Commander.UI;

namespace Commander.Dialogs
{
	public partial class RenameDialog : CommanderDialog
	{
		public RenameDialog()
		{
			InitializeComponent();
		}

		private void OnOkButtonClicked(object sender, EventArgs e)
		{
			DialogResult = DialogResult.OK;
			Close();
		}

		protected override void OnKeyUp(KeyEventArgs e)
		{
			if (e.KeyCode == Keys.Escape)
			{
				e.Handled = true;
				e.SuppressKeyPress = true;

				DialogResult = DialogResult.Cancel;
				Close();
				return;
			}

			base.OnKeyUp(e);
		}


		#region Properties
		public string NameText
		{
			get { return txtName.Text; }
			set { txtName.Text = value; }
		}

		public string Title
		{
			get { return lblMessage.Text; }
			set { lblMessage.Text = value; }
		}
		#endregion
	}
}
