﻿using System.Reflection;

namespace Commander.Core
{
	public static class AssemblyHelpers
	{

		public static string GetTitle(this Assembly assembly)
		{
			return GetAttributeValue<AssemblyTitleAttribute>().Title;
		}

		public static string GetVersion(this Assembly assembly)
		{
			return assembly.GetName().Version.ToString();
		}

		public static string GetCompanyName(this Assembly assembly)
		{
			return GetAttributeValue<AssemblyCompanyAttribute>().Company;
		}

		public static string GetCopyright(this Assembly assembly)
		{
			return GetAttributeValue<AssemblyCopyrightAttribute>().Copyright;
		}

		public static string GetDescription(this Assembly assembly)
		{
			return GetAttributeValue<AssemblyDescriptionAttribute>().Description;
		}

		public static string GetProduct(this Assembly assembly)
		{
			return GetAttributeValue<AssemblyProductAttribute>().Product;
		}


		public static T GetAttributeValue<T>()
		{
			object[] attributes = Assembly.GetCallingAssembly().GetCustomAttributes(typeof(T), false);
			return attributes.Length == 0 ? default(T) : (T)attributes[0];
		}
	}
}
