﻿using System.Drawing;
using System.Drawing.Drawing2D;
using System.Windows.Forms;

namespace Commander.UI
{
	public class CommanderDialog : Form
	{
		public Color BackColor2 { get; set; }
		public float FadeAngle { get; set; }

		public CommanderDialog()
		{
			SetStyle(ControlStyles.OptimizedDoubleBuffer | 
					 ControlStyles.DoubleBuffer |
					 ControlStyles.AllPaintingInWmPaint, true);

			base.BackColor = Color.White;
			BackColor2 = Color.LightSteelBlue;
			FadeAngle = 90.0F;
			
			AutoScaleDimensions = new SizeF(6F, 13F);
			AutoScaleMode = AutoScaleMode.Font;
			ClientSize = new Size(527, 309);
		}


		protected override void OnPaint(PaintEventArgs e)
		{
			Graphics g = e.Graphics;
			g.Clear(BackColor);

			using (LinearGradientBrush bg = new LinearGradientBrush(ClientRectangle, BackColor, BackColor2, FadeAngle, true))
			{
				g.FillRectangle(bg, ClientRectangle);
			}
		}
	}
}
